#
# Conditional build:
%bcond_with	tests		# build with tests
# TODO:
# Not packaged:
# - build with kf5-gpgmepp
%define		kdeframever	5.114
%define		qtver		5.15.2
%define		kfname		kwallet

Summary:	Safe desktop-wide storage for passwords
Name:		kf5-%{kfname}
Version:	5.114.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	8833b0081de0f3a2044d748b14422a50
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.16
BuildRequires:	gpgme-c++-devel >= 1:1.7.0
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	kf5-kconfig-devel >= %{version}
BuildRequires:	kf5-kconfigwidgets-devel >= %{version}
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kdbusaddons-devel >= %{version}
BuildRequires:	kf5-kdoctools-devel >= %{version}
BuildRequires:	kf5-ki18n-devel >= %{version}
BuildRequires:	kf5-knotifications-devel >= %{version}
BuildRequires:	kf5-kservice-devel >= %{version}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	libgcrypt-devel >= 1.5.0
BuildRequires:	ninja
BuildRequires:	qca-qt5-devel
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5DBus >= %{qtver}
Requires:	Qt5Gui >= %{qtver}
Requires:	Qt5Widgets >= %{qtver}
Requires:	gpgme-c++ >= 1:1.7.0
Requires:	kf5-dirs
Requires:	kf5-kconfig >= %{version}
Requires:	kf5-kconfigwidgets >= %{version}
Requires:	kf5-kcoreaddons >= %{version}
Requires:	kf5-kdbusaddons >= %{version}
Requires:	kf5-ki18n >= %{version}
Requires:	kf5-knotifications >= %{version}
Requires:	kf5-kservice >= %{version}
Requires:	kf5-kwidgetsaddons >= %{version}
Requires:	kf5-kwindowsystem >= %{version}
Requires:	libgcrypt >= 1.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
This framework contains two main components:
- Interface to KWallet, the safe desktop-wide storage for passwords on
  KDE work spaces.
- The kwalletd used to safely store the passwords on KDE work spaces.

The library can be built alone, without kwalletd, by setting the
`BUILD_KWALLETD` option to `OFF`.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Gui-devel >= %{qtver}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
%cmake -B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON

%ninja_build -C build

%if %{with tests}
%ninja_build -C build test
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/kwalletd5
%attr(755,root,root) %{_bindir}/kwallet-query
%ghost %{_libdir}/libKF5Wallet.so.5
%attr(755,root,root) %{_libdir}/libKF5Wallet.so.*.*
%ghost %{_libdir}/libkwalletbackend5.so.5
%attr(755,root,root) %{_libdir}/libkwalletbackend5.so.*.*
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KWallet.xml
%{_datadir}/dbus-1/services/org.kde.kwalletd5.service
%{_datadir}/kservices5/kwalletd5.desktop
%{_datadir}/qlogging-categories5/kwallet.categories
%{_datadir}/qlogging-categories5/kwallet.renamecategories
%{_desktopdir}/org.kde.kwalletd5.desktop
%{_datadir}/knotifications5/kwalletd5.notifyrc

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KWallet
%{_libdir}/cmake/KF5Wallet
%{_libdir}/libKF5Wallet.so
%{_libdir}/libkwalletbackend5.so
%{qt5dir}/mkspecs/modules/qt_KWallet.pri
%{_mandir}/man1/kwallet-query.1*
%changelog
* Sun Jan 28 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kwallet.git;a=log;h=master

* Sun Jan 14 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 8a497b0
- updated to 5.114.0

* Fri Dec 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 760d0b3
- updated to 5.113.0

* Mon Nov 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 879d69a
- updated to 5.112.0

* Thu Oct 19 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5f4c240
- updated to 5.111.0

* Sun Sep 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 405ab33
- updated to 5.110.0

* Fri Aug 18 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 5aa617c
- updated to 5.109.0; cmake -B build

* Mon Jul 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d31f7dd
- BR: qca-qt5-devel

* Sun Jul 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 6cca699
- updated to 5.108.0

* Sun Jun 11 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 2803225
- updated to 5.107.0

* Sun May 14 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 41afbc8
- updated to 5.106.0

* Sun Apr 09 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 62e13e8
- updated to 5.105.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 261948e
- rebuild against QT 5.15.9

* Mon Mar 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 395dcc9
- updated to 5.104.0

* Sun Feb 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c7dc022
- updated to 5.103.0

* Mon Jan 16 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a533deb
- updated to 5.102.0

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a9ceb06
- rebuild against QT 5.15.8

* Sat Dec 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9e8c799
- updated to 5.101.0

* Tue Nov 15 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 91f050f
- updated to 5.100.0

* Thu Nov 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b35e7f7
- rebuild against QT 5.15.7

* Wed Oct 12 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> b2b20a6
- relup

